#!/bin/bash

if [ $# -eq 0 ]; then
    echo "参数不能为0,请提供完整参数"
    exit 0
fi

appid=$1
containerid=$2
detach_param=$3
crun_dir="/crun"

variable_params=("${@:4}")
"${variable_params[@]}"
ret=$?

# 判断是否有后台进程
while true; do
    num=$(ps aux | grep -v sleep | wc -l)
    if [ "$num" -gt 5 ]; then
        sleep 1
    else
        break
    fi
done

if [ "$detach_param" -eq 1 ]; then
    rm -rf $crun_dir/$containerid
fi

exit $ret
